Skip to main content
GET
/
v1
/
card-balance-accounts
/
{accountId}
/
statement
Generate a card balance account statement
curl --request GET \
  --url https://api.light.inc/v1/card-balance-accounts/{accountId}/statement \
  --header 'Authorization: <api-key>'
{
  "balanceAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "currency": "USD",
  "periodStart": "2023-11-07T05:31:56Z",
  "periodEnd": "2023-11-07T05:31:56Z",
  "openingBalance": 123,
  "closingBalance": 123,
  "transactions": [
    {
      "providerId": "<string>",
      "amount": 123,
      "runningBalance": 123,
      "bookedAt": "2023-11-07T05:31:56Z",
      "valuedAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "reference": "<string>"
    }
  ],
  "generatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

Path Parameters

accountId
string<uuid>
required

Query Parameters

from
string<date>

Start of the statement period, inclusive. A UTC calendar date in YYYY-MM-DD format.

Example:

"2026-01-01"

to
string<date>

End of the statement period. A UTC calendar date in YYYY-MM-DD format; must be after from.

Example:

"2026-01-31"

Response

default - application/json;charset=UTF-8

default response

balanceAccountId
string<uuid>
currency
string
Example:

"USD"

periodStart
string<date-time>
periodEnd
string<date-time>
openingBalance
integer<int64>
closingBalance
integer<int64>
transactions
object[]
generatedAt
string<date-time>